Subject: bug#29807: mktemp documentation does not clearly document the use of TMPDIR

From: Martin Schwenke <[email-masked]>
Date: Fri, 22 Dec 2017 14:42:44 +1100

Looking at the source code of mktemp suggests that it generally
uses the TMPDIR environment variable to specify an alternative to /tmp
when options such -p and -t are not given.

However, the documentation only mentions TMPDIR in the context of the -p
and -t options.  The info page has an example that seems to imply the
general use of of TMPDIR but that is as far as it goes. 

I think there should be an "ENVIRONMENT VARIABLES" section that lists
TMPDIR and explains how it is used.

I would supply a patch but I don't understand enough texinfo to be
able to figure out how to do this in doc/coreutils.texi.  :-(

peace & happiness,
martin